<div class="mainBox">
  <h2><a name="ins-require" id="ins-require">CGI</a></h2>
  
  Ruby/ASP "CGI mode" has been developped for "mod_ruby-less" architectures !
</div>

<div class="interBox">[<a href="#idx-top">top</a>]</div>

<div class="mainBox">
  <h2><a name="ins-use" id="ins-use">Standalone CGI Mode, without mod_ruby</a></h2>

  As of version 0.2.8, Ruby/ASP scripts may be run as standalone CGI scripts without mod_ruby being loaded into Apache. Work to date has been done with mod_cgi scripts under Apache on a Unix and Win32 platforms.
</div>

<div class="interBox">[<a href="#idx-top">top</a>]</div>

<div class="mainBox">
  <h2><a name="ins-install" id="ins-install">Install</a></h2>

  First install Ruby/Asp, see <a href="install.asp">Install</a> section for more details. Then copy the ruby-asp.rb script in your cgi-bin directory :
<pre>
$ cp /usr/bin/ruby-asp.rb /path/to/cgi-bin/ruby-asp.cgi
</pre>
or create a symblink :
<pre>
$ ln -s /usr/bin/ruby-asp.rb /path/to/cgi-bin/ruby-asp.cgi
</pre>

  <p></p>
  Add these lines to httpd.conf or in a .htaccess file
  
<pre>
AddType application/x-httpd-asp-cgi .asp
Action application/x-httpd-asp-cgi /cgi-bin/ruby-asp.cgi
</pre>

  <p></p>
  The ruby-asp.rb script is a cgi wrapper that sets up the Ruby/ASP environment in lieu of the normal mod_ruby handler request. Because there is no Apache::Table object available under mod_cgi, the ruby-asp.rb script will load a asp.conf file that may define a hash Config of data.

  <p></p>
  So, a trivial asp.conf file might look like:

<pre>
Config = {
  "StateDir"       =&gt; "/tmp/ruby_asp",
  "Global"         =&gt; "global-asa",
  "MailHost"       =&gt; "smtp"
  "MailPort"       =&gt; "25"
  "MailErrorsFrom" =&gt; "www-error@webtime-project.net"
  "MailErrorsTo"   =&gt; "greg@webtime-project.net"
  "ErrorFile"      =&gt; "error.html"
}
</pre>

  <p></p>
  See <a href="install.asp">Install</a> section for more details on configuration.
</div>

<div class="interBox">[<a href="#idx-top">top</a>]</div>
